BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

is the base class for classes containing event data.

This class contains no event data; it is used by events that do not pass state information to an event handler when an event is raised. If the event handler requires state information, the application must create a subclass of this class to hold the data. For example, the class is used to hold the data for assembly load events, and contains a object that describes the loaded assembly.

For details on events, see .

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.EventArgs

  Returns a new instance for use with events that have no state information.

  This field is read-only.

  Accessing this field is equivalent to calling the constructor.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)